<nav {{ stimulus_controller ('navbar')}} id="nav" class="navbar fixed-top navbar navbar-expand-xl nav_master p-0" style="background-color: #161616;">
	<div class="container-fluid">
		<a class="navbar-brand p-0" href="{{ path('app_homepage') }}">
			<img class="shimmer" src="{{ asset('images/logo.svg') }}" alt="logo The Attitude" width="60">
		</a>
		<button class="navbar-toggler collapsed d-flex d-xl-none flex-column justify-content-around" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
			<span class="toggler-icon top-bar"></span>
			<span class="toggler-icon middle-bar"></span>
			<span class="toggler-icon bottom-bar"></span>
		</button>
		<div class="separator w-100"></div>
		<div class="collapse navbar-collapse justify-content-center mx-auto" id="navbarNav">
			<ul class="navbar-nav nav align-content-center text-center">
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_homepage' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_homepage') }}">HOME</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_news' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_news') }}">NEWS</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_tour' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_tour') }}">TOUR</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_music' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_music') }}">MUSIC</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_gallery' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_gallery') }}">GALLERY</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_video' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_video') }}">VIDEOS</a>
				</li>
				<li class="nav-item">
					<a class="nav-link menu_items {{ app.request.get('_route') == 'app_store' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_store') }}">STORE</a>
				</li>
				{% if is_granted('IS_AUTHENTICATED_FULLY') %}
					<div class="dropdown">
						<button class="dropdown-toggle btn" type="button" id="user-dropdown" data-bs-toggle="dropdown" aria-expanded="false">
						<img class="rounded-circle" src="{{ app.user.avatarUrl }}" alt="{{ app.user.username }} Avatar" width="35px" height="35px">
						</button>
						<ul class="dropdown-menu dropdown-menu-end" aria-labelledby="user-dropdown">
							<li>
								<a class="dropdown-item" href="{{ path('app_profile_show') }}">Profile</a>
							</li>
							<li>
								<a class="dropdown-item" href="{{ path('app_logout') }}">Log Out</a>
							</li>
						</ul>
					</div>
				{% else %}
					<li class="nav-item">
						<a class="nav-link menu_items {{ app.request.get('_route') == 'app_login' ? "active-nav-link" : "" }}" data-bs-target="#navbarNav" id="item_color" href="{{ path('app_login') }}">LOGIN</a>
					</li>
				{% endif %}
			</ul>
		</div>
	</div>
</nav>
